Bug 137569 - Searching by external bug reference produces error
Searching by external bug reference produces error
Status: CLOSED RAWHIDE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Mike MacKenzie
:
Depends On:
Blocks: BZ_218_Beta3
  Show dependency treegraph
 
Reported: 2004-10-29 11:19 EDT by James Laska
Modified: 2013-09-02 02:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 16:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-10-29 11:19:08 EDT
https://bugzilla.redhat.com/beta2/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&component_text=&query_format=advanced&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&fixed_in_type=allwordssubstr&fixed_in=&qa_whiteboard_type=allwordssubstr&qa_whiteboard=&devel_whiteboard_type=allwordssubstr&devel_whiteboard=&keywords_type=allwords&keywords=&cust_facing=&cust_facing_type=substring&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&bugidtype=include&bug_id=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Bug+Number+Ascending&field0-0-0=external_bugzilla&type0-0-0=equals&value0-0-0=11579

Produces Software error:

DBD::Pg::st execute failed: ERROR:  No such attribute bugs.external_bugzilla
[for Statement "SELECT bugs.bug_id, bugs.bug_severity, bugs.priority,
bugs.bug_status, bugs.resolution, bugs.alias, bugs.rep_platform,
map_assigned_to.login_name, map_reporter.login_name, bugs.bug_status,
bugs.resolution, bugs.short_desc FROM bugs LEFT JOIN bug_group_map  ON
bug_group_map.bug_id = bugs.bug_id  AND bug_group_map.group_id NOT IN
(33,34,22,4,78,75,68,44,2,12,67,76,3,41,25,15,58,21,35,7,62,61,17,11,72,50,71,5,38,39)
 LEFT JOIN cc ON cc.bug_id = bugs.bug_id AND cc.who = 141215  , profiles AS
map_assigned_to, profiles AS map_reporter WHERE bugs.assigned_to =
map_assigned_to.userid AND bugs.reporter = map_reporter.userid AND
(bugs.external_bugzilla = '11579') AND ((bug_group_map.group_id IS NULL)    OR
(bugs.reporter_accessible = 1 AND bugs.reporter = 141215)     OR
(bugs.cclist_accessible = 1 AND cc.who IS NOT NULL)     OR (bugs.assigned_to =
141215) OR (bugs.qa_contact = 141215) ) GROUP BY bugs.bug_id,
bugs.bug_id,bugs.bug_severity,bugs.priority,bugs.bug_status,bugs.resolution,bugs.alias,bugs.rep_platform,map_assigned_to.login_name,map_reporter.login_name,bugs.bug_status,bugs.resolution,bugs.short_desc
ORDER BY bugs.bug_id asc "] at Bugzilla/DB.pm line 74
	Bugzilla::DB::SendSQL('SELECT bugs.bug_id, bugs.bug_severity, bugs.priority,
bugs.bu...') called at /var/www/bugzilla/beta2/buglist.cgi line 799
Comment 1 David Lawrence 2004-11-11 12:28:11 EST
Needs a specialtable join of LEFT JOIN ON ext_bz_bug_map.bug_id = bugs.bug_id
LEFT JOIN ON external_bugs.id = ext_bz_bug_map.ext_bz_id AND (external_bugs.url
= <extbzformvalue> OR external_bugs.description = <extbzformvalue>)
Comment 2 David Lawrence 2004-11-17 16:06:20 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.